/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/
 
/**
	Audio stream server NT-service

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_stream_server_h
#define mp3_stream_server_h

#include <zz_nt_service.h>
#include "mp3_icecast.h"

#ifdef BUILD_MYMUSIC_DEMO
#define STREAM_SVC_NAME "myMusic_Icecast2Server_DEMO"
#else
#define STREAM_SVC_NAME "myMusic_Icecast2Server"
#endif

#define STREAM_SVC_DESCRIPTION "Streaming audio server for myMusic (extension of Icecast2)"

class Cmp3StreamServer : public CzzNTService
{
public:

	//* Construction
	Cmp3StreamServer( CzzString home );
	virtual ~Cmp3StreamServer();

	// When service starts
	virtual void OnStart( int argc, char** argv );

protected:
private:
	Cmp3Icecast* m_Icecast ;

	CzzString m_Home;
};

#endif // mp3_stream_server_h