/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

/**
	General data service

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_general_data_h
#define mp3_general_data_h

#include <zz_data_service.h>

class Cmp3GeneralData : public CzzDataService
{
public:

	//* Construction
	Cmp3GeneralData( const CzzString& back_url, const CzzString& title, const CzzString& headline );
	virtual ~Cmp3GeneralData();

	virtual CzzDataServiceReply* execute( void* session, CzzParameterMap* req );

    virtual int size();

protected:
private:

	CzzString getIP( void );
	CzzString getUser( void );
	
	CzzString m_IP;
	CzzString m_User;
	CzzString m_Title;
	CzzString m_Headline;
	CzzString m_BackUrl;
};

#endif // mp3_general_data_h