/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

/**
	Http requests

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_http_requester_h
#define mp3_http_requester_h

#include <zz_http.h>
#include <zz_log.h>

class Cmp3HttpRequester : public CzzHTTP
{
public:

	//* Construction
	Cmp3HttpRequester( const char* host );
	virtual ~Cmp3HttpRequester();


	CzzString getPublicIP( void );
	
protected:
	virtual void writeToFile( long from, long size );

private:

	CzzLog m_Log;
	CzzString m_Buffer;
};

#endif // mp3_http_requester_h