/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

/**
	Info data service

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_info_data_h
#define mp3_info_data_h

#include <zz_data_service.h>
#include <mp3_list.h>

class Cmp3InfoData : public CzzDataService
{
public:

	//* Construction
	Cmp3InfoData( void );
	virtual ~Cmp3InfoData();

	virtual CzzDataServiceReply* execute( void* session, CzzParameterMap* req );

    virtual int size();

protected:
private:
	void countAlbumsAndSongs( const char* artist, const char* path, int* albums, int* songs, Cmp3List* list );
	void countSongs( const char* path, int* songs, Cmp3List* list );
};

#endif // mp3_info_data_h