/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

/**
	Playlist data sevice

	Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_playlist_data_h
#define mp3_playlist_data_h

#include <zz_data_service.h>

class Cmp3PlaylistData : public CzzDataService
{
public:

	//* Construction
	Cmp3PlaylistData( void );
	virtual ~Cmp3PlaylistData();

	virtual CzzDataServiceReply* execute( void* session, CzzParameterMap* req );

    virtual int size();

protected:
private:
	int countPlaylistSongs( const CzzString& path );

};

#endif // mp3_playlist_data_h