/* libzz
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2000-2006, Toni Thomsson <toni@tonjac.org> 
*/

#ifndef ri_eventlog_h
#define ri_eventlog_h

#include <windows.h>
#include <stdio.h>
#include "ri_events.h"
#include "rislog.h"

#ifdef __cplusplus
extern "C"
{
#endif // __cplusplus

typedef char LOGMSG[ MAXMSG ];

HANDLE EventLogRegApp( const char* host, const char* app );
BOOL EventLogMsg( HANDLE hEventLog, LOGMSG* msg, LOGLEVEL severity );
BOOL EventLogUnreg( HANDLE hEventLog );

#ifdef __cplusplus
}
#endif // __cplusplus

#endif // ri_eventlog_h
